#131473 Report by node gh-actions covering 201 tests from 60 modules resulted into 4 errors

Report

ObsPy version
1.4.0.post0+21.gc1a9c0f988.ob…
GitHub Pull Request
-
Report file
JSON document
Total runtime
174.3 sec
Report date/time
2022-11-24 08:40:33

System / Python

Architecture
64bit
Machine
AMD64
Node
gh-actions
Processor
Intel64 Family 6 Model 85 Stepping 7, GenuineIntel
Python Compiler
MSC v.1929 64 bit (AMD64)
Python Implementation
CPython
Python Version
3.11.0
Release
10
System
Windows
Version
10.0.20348

Dependencies

cartopy
0.21.0
decorator
5.1.1
flake8
---
geographiclib
2.0
lxml
4.9.1
matplotlib
3.6.2
numpy
1.23.5
obspy
1.4.0.post0+21.gc1a9c0f988.obspy.master
pyproj
3.4.0
pytest
7.2.0
pytest-json-report
1.5.0
requests
2.28.1
scipy
1.9.3
setuptools
65.5.1
shapefile
---
sqlalchemy
1.4.44

Modules (60)

Module Errors / Failures Tracebacks
obspy.clients Not tested -
obspy.clients.earthworm - -
obspy.clients.fdsn 3 1 2 3
obspy.clients.filesystem Not tested -
obspy.clients.iris - -
obspy.clients.neic - -
obspy.clients.nrl 1 4
obspy.clients.seedlink - -
obspy.clients.syngine - -
obspy.core - -
obspy.core.event Not tested -
obspy.core.inventory Not tested -
obspy.core.util Not tested -
obspy.geodetics Not tested -
obspy.imaging Not tested -
obspy.io.ah Not tested -
obspy.io.alsep Not tested -
obspy.io.arclink Not tested -
obspy.io.ascii Not tested -
obspy.io.cmtsolution Not tested -
obspy.io.cnv Not tested -
obspy.io.css Not tested -
obspy.io.dmx Not tested -
obspy.io.focmec Not tested -
obspy.io.gcf Not tested -
obspy.io.gse2 Not tested -
obspy.io.hypodd Not tested -
obspy.io.iaspei Not tested -
obspy.io.json Not tested -
obspy.io.kinemetrics Not tested -
obspy.io.kml Not tested -
obspy.io.mseed Not tested -
obspy.io.ndk Not tested -
obspy.io.nied Not tested -
obspy.io.nlloc Not tested -
obspy.io.nordic Not tested -
obspy.io.pdas Not tested -
obspy.io.pde Not tested -
obspy.io.quakeml Not tested -
obspy.io.reftek Not tested -
obspy.io.rg16 Not tested -
obspy.io.sac Not tested -
obspy.io.scardec Not tested -
obspy.io.seg2 Not tested -
obspy.io.segy Not tested -
obspy.io.seisan Not tested -
obspy.io.seiscomp Not tested -
obspy.io.sh Not tested -
obspy.io.shapefile Not tested -
obspy.io.stationtxt Not tested -
obspy.io.stationxml Not tested -
obspy.io.wav Not tested -
obspy.io.win Not tested -
obspy.io.xseed Not tested -
obspy.io.y Not tested -
obspy.io.zmap Not tested -
obspy.realtime Not tested -
obspy.scripts Not tested -
obspy.signal Not tested -
obspy.taup Not tested -
Summary 4 4

Tracebacks (4)

Traceback (most recent call last):
File "C:\Miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\tests\test_client.py", line 862, in test_help_function_with_iris
self.assertTrue(got[-2].startswith('Available catalogs:'))
File "C:\Miniconda3\envs\test\Lib\unittest\case.py", line 715, in assertTrue
raise self.failureException(msg)
AssertionError: False is not true
Traceback (most recent call last):
File "C:\Miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\tests\test_client.py", line 412, in test_iris_event_catalog_availability
self.assertEqual(set(self.client.services["available_event_catalogs"]),
File "C:\Miniconda3\envs\test\Lib\unittest\case.py", line 873, in assertEqual
assertion_func(first, second, msg=msg)
File "C:\Miniconda3\envs\test\Lib\unittest\case.py", line 1133, in assertSetEqual
self.fail(self._formatMessage(msg, standardMsg))
File "C:\Miniconda3\envs\test\Lib\unittest\case.py", line 703, in fail
raise self.failureException(msg)
AssertionError: Items in the first set but not the second:
'NEIC PDE\n '
'GCMT\n '
'ISC\n '
Items in the second set but not the first:
'NEIC PDE'
'GCMT'
'ISC'
Traceback (most recent call last):
File "C:\Miniconda3\envs\test\Lib\site-packages\obspy\clients\fdsn\tests\test_eidaws_routing_client.py", line 362, in test_get_stations_integration_test
self.assertEqual(inv.get_contents(), inv2.get_contents())
File "C:\Miniconda3\envs\test\Lib\unittest\case.py", line 873, in assertEqual
assertion_func(first, second, msg=msg)
File "C:\Miniconda3\envs\test\Lib\unittest\case.py", line 1172, in assertDictEqual
self.fail(self._formatMessage(msg, standardMsg))
File "C:\Miniconda3\envs\test\Lib\unittest\case.py", line 703, in fail
raise self.failureException(msg)
AssertionError: {'net[14 chars] 'BE', 'BN', 'BQ', 'BS', 'BW'], 'stations': [], 'channels': []} != {'net[14 chars] 'BE', 'BN', 'BQ', 'BS'], 'stations': [], 'channels': []}
+ {'channels': [], 'networks': ['BA', 'BE', 'BN', 'BQ', 'BS'], 'stations': []}
- {'channels': [],
- 'networks': ['BA', 'BE', 'BN', 'BQ', 'BS', 'BW'],
- 'stations': []}
Traceback (most recent call last):
File "C:\Miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 703, in urlopen
httplib_response = self._make_request(
^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 449, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "C:\Miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 444, in _make_request
httplib_response = conn.getresponse()
^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\http\client.py", line 1374, in getresponse
response.begin()
File "C:\Miniconda3\envs\test\Lib\http\client.py", line 318, in begin
version, status, reason = self._read_status()
^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\http\client.py", line 279, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\socket.py", line 705, in readinto
return self._sock.recv_into(b)
^^^^^^^^^^^^^^^^^^^^^^^
ConnectionResetError: [WinError 10054] An existing connection was forcibly closed by the remote host
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Miniconda3\envs\test\Lib\site-packages\requests\adapters.py", line 489, in send
resp = conn.urlopen(
^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 787, in urlopen
retries = retries.increment(
^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\urllib3\util\retry.py", line 550, in increment
raise six.reraise(type(error), error, _stacktrace)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\urllib3\packages\six.py", line 769, in reraise
raise value.with_traceback(tb)
File "C:\Miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 703, in urlopen
httplib_response = self._make_request(
^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 449, in _make_request
six.raise_from(e, None)
File "<string>", line 3, in raise_from
File "C:\Miniconda3\envs\test\Lib\site-packages\urllib3\connectionpool.py", line 444, in _make_request
httplib_response = conn.getresponse()
^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\http\client.py", line 1374, in getresponse
response.begin()
File "C:\Miniconda3\envs\test\Lib\http\client.py", line 318, in begin
version, status, reason = self._read_status()
^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\http\client.py", line 279, in _read_status
line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\socket.py", line 705, in readinto
return self._sock.recv_into(b)
^^^^^^^^^^^^^^^^^^^^^^^
urllib3.exceptions.ProtocolError: ('Connection aborted.', ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "C:\Miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\tests\test_nrl.py", line 21, in setUp
self.nrl_online = NRL(root='http://ds.iris.edu/NRL')
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\decorator.py", line 232, in fun
return caller(func, *(extras + args), **kw)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\obspy\core\util\decorator.py", line 50, in _deprecated
return func(*args, **kwargs)
^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\client.py", line 360, in __init__
super(self.__class__, self).__init__()
File "C:\Miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\client.py", line 71, in __init__
self.dataloggers = self._parse_ini(datalogger_index)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\client.py", line 128, in _parse_ini
cp = self._get_cp_from_ini(path)
^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\client.py", line 382, in _get_cp_from_ini
with io.StringIO(self._download(path)) as buf:
^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\obspy\clients\nrl\client.py", line 367, in _download
r = requests.get(url)
^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\requests\api.py", line 73, in get
return request("get", url, params=params, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\requests\api.py", line 59, in request
return session.request(method=method, url=url, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\requests\sessions.py", line 587, in request
resp = self.send(prep, **send_kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\requests\sessions.py", line 701, in send
r = adapter.send(request, **kwargs)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Miniconda3\envs\test\Lib\site-packages\requests\adapters.py", line 547, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: ('Connection aborted.', ConnectionResetError(10054, 'An existing connection was forcibly closed by the remote host', None, 10054, None))

Skipped tests (5)

Submodule Test Skip message
clients.fdsn clients/fdsn/tests/test_client.py::ClientTestCase::test_eida_token_resolution Skipped: Token is expired
clients.fdsn clients/fdsn/tests/test_client.py::ClientTestCase::test_trim_stream_after_get_waveform Skipped: data no longer available
clients.seedlink clients/seedlink/tests/test_slclient.py::SLClientTestCase::test_info Skipped: test must be started manually
clients.seedlink clients/seedlink/tests/test_slclient.py::SLClientTestCase::test_issue708 Skipped: test must be started manually
clients.seedlink clients/seedlink/tests/test_slclient.py::SLClientTestCase::test_time_window Skipped: test must be started manually

Slowest tests (20)

Runtime Test
20.998s clients/fdsn/tests/test_eidaws_routing_client.py::EIDAWSRoutingClientTestCase::test_get_waveforms_integration_test
8.654s clients/fdsn/tests/test_client.py::ClientTestCase::test_irisph5_event
8.448s clients/syngine/tests/test_client.py::ClientTestCase::test_get_available_models
6.398s clients/fdsn/tests/test_client.py::ClientTestCase::test_dataselect_bulk
5.768s clients/seedlink/basic_client.py::obspy.clients.seedlink.basic_client.Client.get_waveforms
5.155s clients/fdsn/tests/test_client.py::ClientTestCase::test_iris_example_queries_dataselect
4.786s clients/seedlink/tests/test_basic_client.py::ClientTestCase::test_multiple_waveform_requests_with_multiple_info_requests
4.018s clients/syngine/tests/test_client.py::ClientTestCase::test_get_waveforms
3.753s clients/fdsn/tests/test_client.py::ClientTestCase::test_iris_example_queries_dataselect_discover_services_false
3.263s clients/fdsn/client.py::obspy.clients.fdsn.client.Client.get_waveforms_bulk
2.815s clients/fdsn/tests/test_client.py::ClientTestCase::test_redirection
2.412s clients/syngine/__init__.py::obspy.clients.syngine
2.376s clients/fdsn/tests/test_client.py::ClientTestCase::test_redirection_auth
2.138s clients/fdsn/__init__.py::obspy.clients.fdsn
2.079s core/tests/test_stream.py::TestStream::test_read_url_via_network
2.058s clients/seedlink/basic_client.py::obspy.clients.seedlink.basic_client.Client.get_info
1.999s clients/fdsn/tests/test_client.py::ClientTestCase::test_get_waveform_attach_response
1.754s clients/seedlink/tests/test_basic_client.py::ClientTestCase::test_get_waveform
1.747s clients/fdsn/tests/test_mass_downloader.py::DownloadHelperTestCase::test_download_method
1.741s clients/fdsn/client.py::obspy.clients.fdsn.client.Client.get_waveforms